/***************************************************************************
                                   linkdialog.h
                             -------------------
    begin                : Wednesday March 28 2000
    copyright            : (C) 2001 by Benjamin Meyer
    email                : ben-dev@meyerhome.net
 ***************************************************************************/

#ifndef KINKATTALINKDIALOG_H
#define KINKATTALINKDIALOG_H

#include <qvariant.h>
#include <kdialog.h>
class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QFrame;
class QLabel;
class QLineEdit;
class QPushButton;

/**
 * A basic link dialog that prompts the user for the two components of a link.
 * @author Benjamin Meyer
 */
class KinkattaLinkDialog : public KDialog {

Q_OBJECT

public:
  KinkattaLinkDialog( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
  void setURLText(QString);
  void setDescText(QString);
  QString go();

protected:
  QFrame* Frame3;
  QLabel* TextLabel1_2;
  QLabel* TextLabel1;
  QLineEdit* desc;
  QLineEdit* url;
  QPushButton* buttonOk;
  QPushButton* buttonClear;
  QPushButton* buttonCancel;

  void resizeEvent(QResizeEvent *);
  QHBoxLayout* hbox;
  QVBoxLayout* vbox;
  QGridLayout* grid;
  QGridLayout* grid_2;
  QWidget* MainLayout;

};

#endif

// KINKATTALINKDIALOG_H

