/***************************************************************************
                             networkoptionsimp.h
                             -------------------
    begin                : Sunday Feb 11 2001
    copyright            : (C) 2001 Benjamin Meyer 
    email                : ben@meyerhome.net
 ***************************************************************************/

#ifndef NETWORKOPTIONSIMP_H
#define NETWORKOPTIONSIMP_H

#include <networkoptions.h>
#include <setup.h>

/**
 * @author Benjamin Meyer
 */

class NetworkOptionsImp : public NetworkOptions  {

Q_OBJECT
	
signals:
  void saveSettings();

public:
  NetworkOptionsImp(QWidget *parent=0, const char *name=0);
  ~NetworkOptionsImp();

public slots:
  void updateData();
  void getData();

private slots:
	void removePassword(QString name);
  void readPassword(const QString &name);
  void savePassword(const QString &name);
  void passwordChanged(const QString &);

private:
  settings_t *i_aimSettings;

};

#endif

// NetworkOptionsImp.h
