/***************************************************************************
                             permitdenyoptionsimp.h
                             -------------------
    begin                : Tuesday Feb 13 2001
    copyright            : (C) 2001 Benjamin Meyer 
    email                : ben@meyerhome.net
 ***************************************************************************/

#ifndef PERMITDENYOPTIONSIMP_H
#define PERMITDENYOPTIONSIMP_H

#include <permitdenyoptions.h>
#include <setup.h>
#include <taim.h>

/**
  *@author Benjamin Meyer
  */

class PermitDenyOptionsImp : public PermitDenyOptions  {

Q_OBJECT
	
signals:
  void saveSettings();

public:
  PermitDenyOptionsImp(QWidget *parent=0, const char *name=0, TAim *connection=0);
  ~PermitDenyOptionsImp();
  TAim *i_connection;

public slots:
  void updateData();
  void getData();

private slots:
	void deleteDeny();
	void addDeny();
	void deletePermit();
	void addPermit();
	
private:
	int permitChanged;
  int denyChanged;
  settings_t *i_aimSettings;

  int permissions;
	QString user; //the user who's buddyList we're modifying
  TBuddyList buddyList;
  TBuddyList permitList;
  TBuddyList denyList;


};

#endif

// PermitDenyOptionsImp.h
